org.icefaces.ace.meta.annotation

## Enum Implementation

- java.lang.Object
- - java.lang.Enum<Implementation>
  - - org.icefaces.ace.meta.annotation.Implementation

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Implementation>

      public enum Implementation
      extends java.lang.Enum<Implementation>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EXISTS_IN_SUPERCLASS`
    `GENERATE`
    `UNSET`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Implementation` | `DEFAULT`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Implementation` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Implementation[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### EXISTS_IN_SUPERCLASS

          public static final Implementation EXISTS_IN_SUPERCLASS

    - #### GENERATE

          public static final Implementation GENERATE

    - #### UNSET

          public static final Implementation UNSET

  - ### Field Detail

    - #### DEFAULT

          public static final Implementation DEFAULT

  - ### Method Detail

    - #### values

          public static Implementation[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Implementation c : Implementation.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Implementation valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.